# Get Freeze List by Timestamp

Retrieve a paginated list of freeze information for all active freezes that overlap with the specified time range (startTime to endTime).

Endpoint: GET /rmg/api/freeze/list
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `startTime` (integer, required)
    Start timestamp for filtering freeze recurrences (in milliseconds)

  - `endTime` (integer, required)
    End timestamp for filtering freeze recurrences (in milliseconds)

  - `cursor` (string)
    Cursor for pagination

  - `limit` (integer)
    Maximum number of items to return

## Response 200 fields (application/json):

  - `freezes` (array, required)
    List of freeze items

  - `freezes.name` (string, required)
    Freeze name

  - `freezes.expectedStartTs` (integer, required)
    Expected start timestamp

  - `freezes.expectedEndTs` (integer, required)
    Expected end timestamp

  - `freezes.orgIdentifier` (string, required)
    Organization identifier

  - `freezes.projectIdentifier` (string, required)
    Project identifier

  - `freezes.identifier` (string, required)
    Freeze identifier

  - `nextRequest` (object, required)

  - `nextRequest.cursor` (string)

  - `nextRequest.limit` (integer)

  - `last` (boolean, required)
    Whether this is the last page of results

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


